Bug 173822 - [PATCH] astro/py-RO optionsng
Summary: [PATCH] astro/py-RO optionsng
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-21 23:50 UTC by Chris Petrik
Modified: 2013-02-17 00:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.49 KB, patch)
2012-11-21 23:50 UTC, Chris Petrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petrik 2012-11-21 23:50:00 UTC
Options NG Changes

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-11-21 23:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-02-17 00:01:28 UTC
Author: wen
Date: Sun Feb 17 00:01:20 2013
New Revision: 312394
URL: http://svnweb.freebsd.org/changeset/ports/312394

Log:
  - Update to 3.2.0
  - Trim Makefile headers [1]
  - Convert to optionsNG [1]
  
  PR:		173822 [1]
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com> [1]

Modified:
  head/astro/py-RO/Makefile
  head/astro/py-RO/distinfo
  head/astro/py-RO/pkg-plist

Modified: head/astro/py-RO/Makefile
==============================================================================
--- head/astro/py-RO/Makefile	Sat Feb 16 23:57:07 2013	(r312393)
+++ head/astro/py-RO/Makefile	Sun Feb 17 00:01:20 2013	(r312394)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	py-RO
-# Date created:				Dec 26, 2010
-# Whom:					Wen Heping <wenheping@gmail.com>
-#
+# Created by: Wen Heping <wenheping@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	RO
-PORTVERSION=	2.9.3
+PORTVERSION=	3.2.0
 CATEGORIES=	astro python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -17,24 +13,27 @@ COMMENT=	Package of Python astronomical 
 BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/numpy/core/numeric.py:${PORTSDIR}/math/py-numpy
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
-OPTIONS=	MATPLOTLIB "Add support for Matplotlib" Off \
-		PYFITS     "Add Support for PyFITS" On \
-		PYGAME     "Add Support for PyGame" Off
+OPTIONS_DEFINE=		MATPLOTLIB PYFITS PYGAME
+OPTIONS_DEFAULT=	PYFITS
+
+MATPLOTLIB_DESC=	Add support for Matplotlib
+PYFITS_DESC=		Add Support for PyFITS
+PYGAME_DESC=		Add Support for PyGame
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 
 .include <bsd.port.pre.mk>
 
-.if defined(WITH_MATPLOTLIB)
+.if ${PORT_OPTIONS:MMATPLOTLIB}
 RUN_DEPENDS+=	${PKGNAMEPREFIX}matplotlib>=0.98:${PORTSDIR}/math/py-matplotlib
 .endif
 
-.if !defined(WITHOUT_PYFITS)
+.if ${PORT_OPTIONS:MPYFITS}
 RUN_DEPENDS+=	${PKGNAMEPREFIX}pyfits>=1.1:${PORTSDIR}/astro/py-pyfits
 .endif
 
-.if defined(WITH_PYGAME)
+.if ${PORT_OPTIONS:MPYGAME}
 RUN_DEPENDS+=	${PKGNAMEPREFIX}game>=1.8.1:${PORTSDIR}/devel/py-game
 .endif
 

Modified: head/astro/py-RO/distinfo
==============================================================================
--- head/astro/py-RO/distinfo	Sat Feb 16 23:57:07 2013	(r312393)
+++ head/astro/py-RO/distinfo	Sun Feb 17 00:01:20 2013	(r312394)
@@ -1,2 +1,2 @@
-SHA256 (RO-2.9.3.tar.gz) = 00bef6e0d618e50c5e46d1f0f3f76cad385e933564236dfa87fb358ff8e1271c
-SIZE (RO-2.9.3.tar.gz) = 674589
+SHA256 (RO-3.2.0.tar.gz) = 766b25a1e82cd5742a543f152a56a43d83a33604409ac9ec9ad0fdbe1a5220ca
+SIZE (RO-3.2.0.tar.gz) = 685706

Modified: head/astro/py-RO/pkg-plist
==============================================================================
--- head/astro/py-RO/pkg-plist	Sat Feb 16 23:57:07 2013	(r312393)
+++ head/astro/py-RO/pkg-plist	Sun Feb 17 00:01:20 2013	(r312394)
@@ -244,12 +244,18 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/CnvUtil.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/CnvUtil.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/CnvUtil.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/BaseSocket.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/BaseSocket.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/BaseSocket.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/BrowseURL.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/BrowseURL.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/BrowseURL.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/FTPGet.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/FTPGet.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/FTPGet.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/Generic.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/Generic.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/Generic.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/HTTPGet.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/HTTPGet.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/HTTPGet.pyo
@@ -268,6 +274,12 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/TkSocket.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/TkSocket.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/TkSocket.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/TwistedSocket.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/TwistedSocket.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/TwistedSocket.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/TwistedTimer.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/TwistedTimer.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/TwistedTimer.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/VMSTelnet.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/VMSTelnet.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Comm/VMSTelnet.pyo
@@ -514,9 +526,6 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Wdg/sampleDroplet.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Wdg/sampleDroplet.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Wdg/testImage.fits
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Wdg/ztry StripChartWdg with joined axes; needs drawEvent work.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Wdg/ztry StripChartWdg with joined axes; needs drawEvent work.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/Wdg/ztry StripChartWdg with joined axes; needs drawEvent work.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/RO/__init__.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2013-02-17 00:02:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!